## dunst 1.8.1

=== debian/changelog ===
dunst (1.8.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 12:48:03 -0400

dunst (1.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Nikos Tsipinakis ]
  * New upstream version 1.8.1
  * d/patches: Drop all patches, not needed
  * d/control: Use correct sysconfdir
  * Bump standards to 4.6.1, no changes
  * d/control: Add wayland dependency

  [ Boyuan Yang ]
  * d/control: Mark buid-dep systemd as [linux-any].
  * d/control: Apply "wrap-and-sort -abst".
  * d/control: Drop recommendation on sensible-utils, no longer used.
  * d/control: Add dependency on xdg-utils, used by upstream.

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 11 Jun 2022 10:42:31 +0200

## dunst 1.9.0

=== Makefile ===
# dunst - Notification-daemon
# See LICENSE file for copyright and license details.

include config.mk

VERSION := "1.9.0 (2022-06-27)"
ifneq ($(wildcard ./.git/),)
VERSION := $(shell ${GIT} describe --tags)
endif

SYSTEMD ?= $(shell $(PKG_CONFIG) --silence-errors ${SYSTEMDAEMON} || echo 0)

ifneq (0,${WAYLAND})
DATA_DIR_WAYLAND_PROTOCOLS ?= $(shell $(PKG_CONFIG) wayland-protocols --variable=pkgdatadir)
DATA_DIR_WAYLAND_PROTOCOLS := ${DATA_DIR_WAYLAND_PROTOCOLS}
ifeq (,${DATA_DIR_WAYLAND_PROTOCOLS})
$(warning "Failed to query $(PKG_CONFIG) for package 'wayland-protocols'!")
endif
endif

LIBS := $(shell $(PKG_CONFIG) --libs   ${pkg_config_packs})
INCS := $(shell $(PKG_CONFIG) --cflags ${pkg_config_packs})

ifneq (clean, $(MAKECMDGOALS))
ifeq ($(and $(INCS),$(LIBS)),)
$(error "$(PKG_CONFIG) failed!")
endif
endif

SYSCONF_FORCE_NEW ?= $(shell [ -f ${DESTDIR}${SYSCONFFILE} ] || echo 1)

CFLAGS  := ${DEFAULT_CPPFLAGS} ${CPPFLAGS} ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}


ifeq (0,${WAYLAND})
# without wayland support
SRC := $(sort $(shell ${FIND} src/ -not \( -path src/wayland -prune \) -name '*.c'))
else
# with Wayland support
SRC := $(sort $(shell ${FIND} src/ -name '*.c'))
endif
OBJ := ${SRC:.c=.o}
TEST_SRC := $(sort $(shell ${FIND} test/ -name '*.c'))
TEST_OBJ := $(TEST_SRC:.c=.o)
DEPS := ${SRC:.c=.d} ${TEST_SRC:.c=.d}


.PHONY: all debug
all: doc dunst dunstify service

debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
debug: LDFLAGS  += ${LDFLAGS_DEBUG}
debug: CPPFLAGS += ${CPPFLAGS_DEBUG}
debug: all

-include $(DEPS)

${OBJ} ${TEST_OBJ}: Makefile config.mk

%.o: %.c
	${CC} -o $@ -c $< ${CFLAGS}

dunst: ${OBJ} main.o
	${CC} -o ${@} ${OBJ} main.o ${CFLAGS} ${LDFLAGS}

dunstify: dunstify.o
	${CC} -o ${@} dunstify.o ${CFLAGS} ${LDFLAGS}

.PHONY: test test-valgrind test-coverage
test: test/test clean-coverage-run
	# Make sure an error code is returned when the test fails
	/usr/bin/env bash -c 'set -euo pipefail;\
	./test/test -v | ./test/greenest.awk '

test-valgrind: test/test
	${VALGRIND} \
		--suppressions=.valgrind.suppressions \
		--leak-check=full \
		--show-leak-kinds=definite \
		--errors-for-leak-kinds=definite \
		--num-callers=40 \
		--error-exitcode=123 \
		./test/test -v

test-coverage: CFLAGS += -fprofile-arcs -ftest-coverage -O0
test-coverage: test

test-coverage-report: test-coverage
	mkdir -p docs/internal/coverage
	${GCOVR} \
		-r . \
		--exclude=test \
		--html \
		--html-details \
		-o docs/internal/coverage/index.html

test/%.o: test/%.c src/%.c
	${CC} -o $@ -c $< ${CFLAGS}

test/test: ${OBJ} ${TEST_OBJ}
	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}

.PHONY: doc doc-doxygen
doc: docs/dunst.1 docs/dunst.5 docs/dunstctl.1

# Can't dedup this as we need to explicitly provide the name and title text to
# pod2man :(
docs/dunst.1: docs/dunst.1.pod
	${SED} "s|##SYSCONFDIR##|${SYSCONFDIR}|" $< | ${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} > $@
docs/dunst.5: docs/dunst.5.pod
	${POD2MAN} --name=dunst -c "Dunst Reference" --section=5 --release=${VERSION} $< > $@
docs/dunstctl.1: docs/dunstctl.pod
	${POD2MAN} --name=dunstctl -c "dunstctl reference" --section=1 --release=${VERSION} $< > $@

doc-doxygen:
	${DOXYGEN} docs/internal/Doxyfile

.PHONY: service service-dbus service-systemd wayland-protocols
service: service-dbus
service-dbus:
	@${SED} "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
ifneq (0,${SYSTEMD})
service: service-systemd
service-systemd:
	@${SED} "s|##PREFIX##|$(PREFIX)|" dunst.systemd.service.in > dunst.systemd.service
endif

ifneq (0,${WAYLAND})
wayland-protocols: src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml
	# TODO: write this shorter
	mkdir -p src/wayland/protocols
	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell.h
	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell-client-header.h
	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1-client-header.h
	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1.h
	wayland-scanner client-header src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1-client-header.h
	wayland-scanner private-code src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1.h
	wayland-scanner client-header src/wayland/protocols/idle.xml src/wayland/protocols/idle-client-header.h
	wayland-scanner private-code src/wayland/protocols/idle.xml src/wayland/protocols/idle.h
	wayland-scanner client-header src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1-client-header.h
	wayland-scanner private-code src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.h
endif

.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run clean-wayland-protocols
clean: clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run

clean-dunst:
	rm -f dunst ${OBJ} main.o main.d ${DEPS}
	rm -f org.knopwob.dunst.service
	rm -f dunst.systemd.service

clean-dunstify:
	rm -f dunstify.o
	rm -f dunstify.d
	rm -f dunstify

clean-doc:
	rm -f docs/dunst.1
	rm -f docs/dunst.5
	rm -f docs/dunstctl.1
	rm -fr docs/internal/html
	rm -fr docs/internal/coverage

clean-tests:
	rm -f test/test test/*.o test/*.d

clean-coverage: clean-coverage-run
	${FIND} . -type f -name '*.gcno' -delete
	${FIND} . -type f -name '*.gcna' -delete
# Cleans the coverage data before every run to not double count any lines
clean-coverage-run:
	${FIND} . -type f -name '*.gcov' -delete
	${FIND} . -type f -name '*.gcda' -delete

clean-wayland-protocols:
	rm -f src/wayland/protocols/*.h

.PHONY: install install-dunst install-dunstctl install-dunstrc \
        install-service install-service-dbus install-service-systemd \
        uninstall uninstall-dunstctl uninstall-dunstrc \
        uninstall-service uninstall-service-dbus uninstall-service-systemd \
	uninstall-keepconf uninstall-purge
install: install-dunst install-dunstctl install-dunstrc install-service install-dunstify

install-dunst: dunst doc
	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1
	install -Dm644 docs/dunst.5 ${DESTDIR}${MANPREFIX}/man5/dunst.5
	install -Dm644 docs/dunstctl.1 ${DESTDIR}${MANPREFIX}/man1/dunstctl.1

install-dunstctl: dunstctl
	install -Dm755 dunstctl ${DESTDIR}${BINDIR}/dunstctl

ifeq (1,${SYSCONF_FORCE_NEW})
install-dunstrc:
	install -Dm644 dunstrc ${DESTDIR}${SYSCONFFILE}
endif

install-service: install-service-dbus
install-service-dbus: service-dbus
	install -Dm644 org.knopwob.dunst.service ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service
ifneq (0,${SYSTEMD})
install-service: install-service-systemd
install-service-systemd: service-systemd
	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
endif

install-dunstify: dunstify
	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify

uninstall: uninstall-keepconf
uninstall-purge: uninstall-keepconf uninstall-dunstrc
uninstall-keepconf: uninstall-service uninstall-dunstctl
	rm -f ${DESTDIR}${BINDIR}/dunst
	rm -f ${DESTDIR}${BINDIR}/dunstify
	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
	rm -f ${DESTDIR}${MANPREFIX}/man5/dunst.5
	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstctl.1

uninstall-dunstrc:
	rm -f ${DESTDIR}${SYSCONFFILE}
	rmdir --ignore-fail-on-non-empty ${DESTDIR}${SYSCONFDIR}/dunst

uninstall-dunstctl:
	rm -f ${DESTDIR}${BINDIR}/dunstctl

uninstall-service: uninstall-service-dbus
uninstall-service-dbus:
	rm -f ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service

ifneq (0,${SYSTEMD})
uninstall-service: uninstall-service-systemd
uninstall-service-systemd:
	rm -f ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
endif

=== debian/changelog ===
dunst (1.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1019755)

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Nov 2022 14:04:01 -0500

=== debian/control ===
Source: dunst
Section: x11
Priority: optional
Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Build-Depends:
 debhelper-compat (= 13),
 default-dbus-session-bus | dbus-session-bus,
 libcairo2-dev,
 libdbus-1-dev,
 libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libnotify-dev,
 libpango1.0-dev,
 librsvg2-common,
 libwayland-dev,
 libx11-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxss-dev,
 systemd [linux-any],
Standards-Version: 4.6.1
Homepage: https://dunst-project.org/
Vcs-Git: https://salsa.debian.org/debian/dunst.git
Vcs-Browser: https://salsa.debian.org/debian/dunst
Rules-Requires-Root: no

Package: dunst
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 notification-daemon,
Description: dmenu-ish notification-daemon
 Dunst is a highly configurable and lightweight notification-daemon: The
 only thing it displays is a colored box with unformatted text. The whole
 notification specification (non-optional parts and the "body" capability) is
 supported as long as it fits into this look & feel.
 .
 Dunst is designed to fit nicely into minimalistic windowmanagers like dwm, but
 it should work on any Linux desktop.

## dunst 1.9.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.9.0 (2022-06-27)"
+VERSION := "1.9.2 (2023-04-20)"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags)
 endif
@@ -47,7 +47,7 @@
 
 
 .PHONY: all debug
-all: doc dunst dunstify service
+all: doc dunst service
 
 debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
 debug: LDFLAGS  += ${LDFLAGS_DEBUG}
@@ -64,8 +64,11 @@
 dunst: ${OBJ} main.o
 	${CC} -o ${@} ${OBJ} main.o ${CFLAGS} ${LDFLAGS}
 
+ifneq (0,${DUNSTIFY})
+all: dunstify
 dunstify: dunstify.o
 	${CC} -o ${@} dunstify.o ${CFLAGS} ${LDFLAGS}
+endif
 
 .PHONY: test test-valgrind test-coverage
 test: test/test clean-coverage-run
@@ -181,7 +184,7 @@
         uninstall uninstall-dunstctl uninstall-dunstrc \
         uninstall-service uninstall-service-dbus uninstall-service-systemd \
 	uninstall-keepconf uninstall-purge
-install: install-dunst install-dunstctl install-dunstrc install-service install-dunstify
+install: install-dunst install-dunstctl install-dunstrc install-service 
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
@@ -206,8 +209,11 @@
 	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif
 
+ifneq (0,${DUNSTIFY})
+install: install-dunstify
 install-dunstify: dunstify
 	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
+endif
 
 uninstall: uninstall-keepconf
 uninstall-purge: uninstall-keepconf uninstall-dunstrc

=== debian/changelog ===
dunst (1.9.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:13 +1100

dunst (1.9.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:14:56 +0000

dunst (1.9.2-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release. (Closes: #1038745)
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Update build-dep: libgdk-pixbuf2.0-dev => libgdk-pixbuf-2.0-dev.
      (Closes: #1037369)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 27 Jun 2023 19:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends:
  debhelper-compat (= 13),
  default-dbus-session-bus | dbus-session-bus,
  libcairo2-dev,
  libdbus-1-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libglib2.0-dev,
  libnotify-dev,
  libpango1.0-dev,
@@ -18,7 +19,7 @@
  libxrandr-dev,
  libxss-dev,
  systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	SYSCONFDIR="/etc/xdg" PREFIX=/usr dh $@

override_dh_installdocs:
	install -D -m644 RELEASE_NOTES debian/dunst/usr/share/doc/dunst/NEWS
	dh_installdocs

## dunst 1.11.0

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 include config.mk
 
-VERSION := "1.9.2 (2023-04-20)"
+VERSION := "1.11.0 (2024-04-15)"
 ifneq ($(wildcard ./.git/),)
-VERSION := $(shell ${GIT} describe --tags)
+VERSION := $(shell ${GIT} describe --tags 2>/dev/null || echo ${VERSION})
 endif
 
 SYSTEMD ?= $(shell $(PKG_CONFIG) --silence-errors ${SYSTEMDAEMON} || echo 0)
@@ -32,14 +32,24 @@
 CFLAGS  := ${DEFAULT_CPPFLAGS} ${CPPFLAGS} ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
 LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}
 
-
+SRC := $(sort $(shell ${FIND} src/ ! \( -path src/wayland -prune -o -path src/x11 -prune \) -name '*.c'))
+
+ifneq (0,${WAYLAND})
+# with Wayland support
+CFLAGS += -DHAVE_WL_CURSOR_SHAPE -DHAVE_WL_EXT_IDLE_NOTIFY
+SRC += $(sort $(shell ${FIND} src/wayland -name '*.c'))
+endif
+
+ifneq (0,${X11})
+SRC += $(sort $(shell ${FIND} src/x11 -name '*.c'))
+endif
+
+ifeq (0,${X11})
 ifeq (0,${WAYLAND})
-# without wayland support
-SRC := $(sort $(shell ${FIND} src/ -not \( -path src/wayland -prune \) -name '*.c'))
-else
-# with Wayland support
-SRC := $(sort $(shell ${FIND} src/ -name '*.c'))
-endif
+$(error You have to compile at least one output (X11, Wayland))
+endif
+endif
+
 OBJ := ${SRC:.c=.o}
 TEST_SRC := $(sort $(shell ${FIND} test/ -name '*.c'))
 TEST_OBJ := $(TEST_SRC:.c=.o)
@@ -135,14 +145,24 @@
 	mkdir -p src/wayland/protocols
 	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell.h
 	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell-client-header.h
-	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1-client-header.h
-	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1.h
 	wayland-scanner client-header src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1-client-header.h
 	wayland-scanner private-code src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1.h
 	wayland-scanner client-header src/wayland/protocols/idle.xml src/wayland/protocols/idle-client-header.h
 	wayland-scanner private-code src/wayland/protocols/idle.xml src/wayland/protocols/idle.h
 	wayland-scanner client-header src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1-client-header.h
 	wayland-scanner private-code src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.h
+	# wayland-protocols >= 1.27
+ifneq (,$(wildcard ${DATA_DIR_WAYLAND_PROTOCOLS}/staging/ext-idle-notify/ext-idle-notify-v1.xml))
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/staging/ext-idle-notify/ext-idle-notify-v1.xml src/wayland/protocols/ext-idle-notify-v1-client-header.h
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/staging/ext-idle-notify/ext-idle-notify-v1.xml src/wayland/protocols/ext-idle-notify-v1.h
+endif
+	# wayland-protocols >= 1.32
+ifneq (,$(wildcard ${DATA_DIR_WAYLAND_PROTOCOLS}/staging/cursor-shape/cursor-shape-v1.xml))
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/staging/cursor-shape/cursor-shape-v1.xml src/wayland/protocols/cursor-shape-v1-client-header.h
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/staging/cursor-shape/cursor-shape-v1.xml src/wayland/protocols/cursor-shape-v1.h
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/tablet/tablet-unstable-v2.xml src/wayland/protocols/tablet-unstable-v2-client-header.h
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/tablet/tablet-unstable-v2.xml src/wayland/protocols/tablet-unstable-v2.h
+endif
 endif
 
 .PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run clean-wayland-protocols
@@ -184,7 +204,7 @@
         uninstall uninstall-dunstctl uninstall-dunstrc \
         uninstall-service uninstall-service-dbus uninstall-service-systemd \
 	uninstall-keepconf uninstall-purge
-install: install-dunst install-dunstctl install-dunstrc install-service 
+install: install-dunst install-dunstctl install-dunstrc install-service
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
@@ -215,9 +235,26 @@
 	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
 endif
 
+ifneq (0,${COMPLETIONS})
+install: install-completions
+install-completions:
+	install -Dm644 completions/dunst.bashcomp ${DESTDIR}${BASHCOMPLETIONDIR}/dunst
+	install -Dm644 completions/dunstctl.bashcomp ${DESTDIR}${BASHCOMPLETIONDIR}/dunstctl
+	install -Dm644 completions/_dunst.zshcomp ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunst
+	install -Dm644 completions/_dunstctl.zshcomp ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunstctl
+	install -Dm644 completions/dunst.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunst
+	install -Dm644 completions/dunstctl.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunstctl
+
+ifneq (0,${DUNSTIFY})
+install: install-completions-dunstify
+install-completions-dunstify:
+	install -Dm644 completions/dunstify.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunstify
+endif
+endif
+
 uninstall: uninstall-keepconf
 uninstall-purge: uninstall-keepconf uninstall-dunstrc
-uninstall-keepconf: uninstall-service uninstall-dunstctl
+uninstall-keepconf: uninstall-service uninstall-dunstctl uninstall-completions
 	rm -f ${DESTDIR}${BINDIR}/dunst
 	rm -f ${DESTDIR}${BINDIR}/dunstify
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
@@ -240,3 +277,12 @@
 uninstall-service-systemd:
 	rm -f ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif
+
+uninstall-completions:
+	rm -f ${DESTDIR}${BASHCOMPLETIONDIR}/dunst
+	rm -f ${DESTDIR}${BASHCOMPLETIONDIR}/dunstctl
+	rm -f ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunst
+	rm -f ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunstctl
+	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunst
+	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunstctl
+	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunstify

=== debian/changelog ===
dunst (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * New upstream version 1.11.0 (Closes: #1068682)
  * Bump policy to 4.7.0, no changes
  * Add lintian override for no-man-page
  * Use systemd-dev over systemd dependency (Closes: #1060478)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 30 Apr 2024 13:43:31 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/dunst-project/dunst/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:51:36 +0000

## dunst 1.12.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.11.0 (2024-04-15)"
+VERSION := "1.12.2 (2025-03-05)"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags 2>/dev/null || echo ${VERSION})
 endif
@@ -29,14 +29,20 @@
 
 SYSCONF_FORCE_NEW ?= $(shell [ -f ${DESTDIR}${SYSCONFFILE} ] || echo 1)
 
-CFLAGS  := ${DEFAULT_CPPFLAGS} ${CPPFLAGS} ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
-LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}
+ifneq (0,${DUNSTIFY})
+DUNSTIFY_CFLAGS  := ${DEFAULT_CFLAGS} ${CFLAGS} ${CPPFLAGS} $(shell $(PKG_CONFIG) --cflags libnotify)
+DUNSTIFY_LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} $(shell $(PKG_CONFIG) --libs libnotify)
+endif
+
+CPPFLAGS := ${DEFAULT_CPPFLAGS} ${CPPFLAGS}
+CFLAGS   := ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
+LDFLAGS  := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}
 
 SRC := $(sort $(shell ${FIND} src/ ! \( -path src/wayland -prune -o -path src/x11 -prune \) -name '*.c'))
 
 ifneq (0,${WAYLAND})
 # with Wayland support
-CFLAGS += -DHAVE_WL_CURSOR_SHAPE -DHAVE_WL_EXT_IDLE_NOTIFY
+CPPFLAGS += -DHAVE_WL_CURSOR_SHAPE -DHAVE_WL_EXT_IDLE_NOTIFY
 SRC += $(sort $(shell ${FIND} src/wayland -name '*.c'))
 endif
 
@@ -59,17 +65,27 @@
 .PHONY: all debug
 all: doc dunst service
 
-debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
+debug: CPPFLAGS += ${CPPFLAGS_DEBUG}
+debug: CFLAGS   += ${CFLAGS_DEBUG}
 debug: LDFLAGS  += ${LDFLAGS_DEBUG}
-debug: CPPFLAGS += ${CPPFLAGS_DEBUG}
 debug: all
 
 -include $(DEPS)
 
 ${OBJ} ${TEST_OBJ}: Makefile config.mk
 
+DATE_FMT = +%Y-%m-%d
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
+else
+    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
+endif
+src/dunst.o: src/dunst.c
+	${CC} -o $@ -c $< ${CPPFLAGS} ${CFLAGS} \
+		-D_CCDATE="${BUILD_DATE}" -D_CFLAGS="$(filter-out $(filter -I%,${INCS}),${CFLAGS})" -D_LDFLAGS="${LDFLAGS}"
+
 %.o: %.c
-	${CC} -o $@ -c $< ${CFLAGS}
+	${CC} -o $@ -c $< ${CPPFLAGS} ${CFLAGS}
 
 dunst: ${OBJ} main.o
 	${CC} -o ${@} ${OBJ} main.o ${CFLAGS} ${LDFLAGS}
@@ -77,17 +93,17 @@
 ifneq (0,${DUNSTIFY})
 all: dunstify
 dunstify: dunstify.o
-	${CC} -o ${@} dunstify.o ${CFLAGS} ${LDFLAGS}
-endif
-
-.PHONY: test test-valgrind test-coverage
+	${CC} -o ${@} dunstify.o ${DUNSTIFY_CFLAGS} ${DUNSTIFY_LDFLAGS}
+endif
+
+.PHONY: test test-valgrind test-coverage functional-tests
 test: test/test clean-coverage-run
 	# Make sure an error code is returned when the test fails
 	/usr/bin/env bash -c 'set -euo pipefail;\
-	./test/test -v | ./test/greenest.awk '
+	TESTDIR=./test ./test/test -v | ./test/greenest.awk '
 
 test-valgrind: test/test
-	${VALGRIND} \
+	TESTDIR=./test ${VALGRIND} \
 		--suppressions=.valgrind.suppressions \
 		--leak-check=full \
 		--show-leak-kinds=definite \
@@ -109,13 +125,16 @@
 		-o docs/internal/coverage/index.html
 
 test/%.o: test/%.c src/%.c
-	${CC} -o $@ -c $< ${CFLAGS}
+	${CC} -o $@ -c $< ${CFLAGS} ${CPPFLAGS}
 
 test/test: ${OBJ} ${TEST_OBJ}
 	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}
 
+functional-tests: dunst dunstify
+	PREFIX=. ./test/functional-tests/test.sh
+
 .PHONY: doc doc-doxygen
-doc: docs/dunst.1 docs/dunst.5 docs/dunstctl.1
+doc: docs/dunst.1 docs/dunst.5 docs/dunstctl.1 docs/dunstify.1
 
 # Can't dedup this as we need to explicitly provide the name and title text to
 # pod2man :(
@@ -125,6 +144,8 @@
 	${POD2MAN} --name=dunst -c "Dunst Reference" --section=5 --release=${VERSION} $< > $@
 docs/dunstctl.1: docs/dunstctl.pod
 	${POD2MAN} --name=dunstctl -c "dunstctl reference" --section=1 --release=${VERSION} $< > $@
+docs/dunstify.1: docs/dunstify.pod
+	${POD2MAN} --name=dunstify -c "dunstify reference" --section=1 --release=${VERSION} $< > $@
 
 doc-doxygen:
 	${DOXYGEN} docs/internal/Doxyfile
@@ -182,6 +203,7 @@
 	rm -f docs/dunst.1
 	rm -f docs/dunst.5
 	rm -f docs/dunstctl.1
+	rm -f docs/dunstify.1
 	rm -fr docs/internal/html
 	rm -fr docs/internal/coverage
 
@@ -203,7 +225,7 @@
         install-service install-service-dbus install-service-systemd \
         uninstall uninstall-dunstctl uninstall-dunstrc \
         uninstall-service uninstall-service-dbus uninstall-service-systemd \
-	uninstall-keepconf uninstall-purge
+        uninstall-keepconf uninstall-purge
 install: install-dunst install-dunstctl install-dunstrc install-service
 
 install-dunst: dunst doc
@@ -211,6 +233,7 @@
 	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1
 	install -Dm644 docs/dunst.5 ${DESTDIR}${MANPREFIX}/man5/dunst.5
 	install -Dm644 docs/dunstctl.1 ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
+	install -Dm644 docs/dunstify.1 ${DESTDIR}${MANPREFIX}/man1/dunstify.1
 
 install-dunstctl: dunstctl
 	install -Dm755 dunstctl ${DESTDIR}${BINDIR}/dunstctl
@@ -242,13 +265,13 @@
 	install -Dm644 completions/dunstctl.bashcomp ${DESTDIR}${BASHCOMPLETIONDIR}/dunstctl
 	install -Dm644 completions/_dunst.zshcomp ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunst
 	install -Dm644 completions/_dunstctl.zshcomp ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunstctl
-	install -Dm644 completions/dunst.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunst
-	install -Dm644 completions/dunstctl.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunstctl
+	install -Dm644 completions/dunst.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunst.fish
+	install -Dm644 completions/dunstctl.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunstctl.fish
 
 ifneq (0,${DUNSTIFY})
 install: install-completions-dunstify
 install-completions-dunstify:
-	install -Dm644 completions/dunstify.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunstify
+	install -Dm644 completions/dunstify.fishcomp ${DESTDIR}${FISHCOMPLETIONDIR}/dunstify.fish
 endif
 endif
 
@@ -260,6 +283,7 @@
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
 	rm -f ${DESTDIR}${MANPREFIX}/man5/dunst.5
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
+	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstify.1
 
 uninstall-dunstrc:
 	rm -f ${DESTDIR}${SYSCONFFILE}
@@ -283,6 +307,6 @@
 	rm -f ${DESTDIR}${BASHCOMPLETIONDIR}/dunstctl
 	rm -f ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunst
 	rm -f ${DESTDIR}${ZSHCOMPLETIONDIR}/_dunstctl
-	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunst
-	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunstctl
-	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunstify
+	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunst.fish
+	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunstctl.fish
+	rm -f ${DESTDIR}${FISHCOMPLETIONDIR}/dunstify.fish

=== debian/changelog ===
dunst (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2 (Closes: #1098667, #1098542)
  * Update changelog for 1.12.2-1 release

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 25 Mar 2025 20:02:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends:
  debhelper-compat (= 13),
  default-dbus-session-bus | dbus-session-bus,
@@ -18,8 +17,8 @@
  libxinerama-dev,
  libxrandr-dev,
  libxss-dev,
- systemd [linux-any],
-Standards-Version: 4.6.2
+ systemd-dev,
+Standards-Version: 4.7.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
